.teacher-entry {
  align-items: center;
  padding: 0px 120px 150px 120px;
}

.back-button {
  margin-top: 56px;
  background: var(--title-text-light-blue) !important;
}

/* ========================================================================== */
/* teacher-entry-1 */
/* ========================================================================== */

.teacher-entry-1 {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 8px;
  margin-top: 104px;
  margin-bottom: 56px;
}

.teacher-entry-1-box {
  display: flex;
  padding: 24px 40px;
  align-items: center;
  gap: 40px;
  align-self: stretch;
  position: relative;
  border-bottom: 1px solid var(--title-text-light-blue);
}

.teacher-entry-1-left {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
  flex: 1 0 0;
}

.teacher-entry-1-left-position-text {
  align-self: stretch;
  line-height: 20px; /* 125% */
  letter-spacing: 1.28px;
}

.teacher-entry-1-left-name-text {
  align-self: stretch;
  font-size: 48px;
  line-height: 56px; /* 116.667% */
  letter-spacing: 3.84px;
}

.teacher-entry-1-left-en-text {
  position: absolute;
  left: -40px;
  top: 0px;
  color: rgba(51, 51, 51, 0.10);
  font-family: Anuphan;
  font-size: 100px;
  font-weight: 600;
  line-height: 104px; /* 104% */
}

.teacher-entry-1-right-img {
  width: 300px;
  height: 300px;
  border-radius: 8px;
  background: url(<path-to-image>) lightgray 50% / cover no-repeat;
}

/* ========================================================================== */
/* teacher-entry-2 */
/* ========================================================================== */

.teacher-entry-2 {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 32px;
}

.teacher-entry-2-header {
  align-self: stretch;
  font-size: 40px;
  line-height: 56px; /* 140% */
  letter-spacing: 1.6px;
}

.teacher-entry-2-box {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
  align-self: stretch;
}

.teacher-entry-2-item {
  display: flex;
  padding: 24px 0;
  align-items: center;
  gap: 80px;
  align-self: stretch;
  border-bottom: 1px solid #EDF0F5;
}

.teacher-entry-2-item-title {
  width: 150px;
  min-width: 150px;
  color: var(--title-text-light-blue);
  font-weight: 700;
  line-height: 32px; /* 200% */
  letter-spacing: 1.28px;
}

.teacher-entry-2-item-text {
  line-height: 32px; /* 200% */
  letter-spacing: 1.28px;
}

.teacher-entry-2-item-href {
  display: flex;
  width: 240px;
  height: 16px;
  padding: 16px;
  justify-content: space-between;
  align-items: center;
  border: 1px solid var(--title-text-light-blue);
  background: #FFF;
}

.teacher-entry-2-item-href-text {
  color: var(--title-text-light-blue);
  font-size: 14px;
  line-height: 32px; /* 228.571% */
  letter-spacing: 1.12px;
}

.teacher-entry-2-item-href-img {
  width: 16px;
  height: 16px;
  flex-shrink: 0;
  aspect-ratio: 1/1;
}

/* ========================================================================== */
/* @media：TB */
/* ========================================================================== */

@media (max-width: 1023px) {
  .teacher-entry {
    padding: 0px 64px;
  }

  /* ==================================================== */
  /* teacher-entry-1 */
  /* ==================================================== */

  .teacher-entry-1 {
    margin-top: 66px;
    margin-bottom: 40px;
  }

  .teacher-entry-1-box {
    padding: 24px 0px;
  }

  .teacher-entry-1-left-name-text {
    font-size: 40px;
    line-height: 56px; /* 140% */
    letter-spacing: 3.2px;
  }

  .teacher-entry-1-left-en-text {
    left: -24px;
    font-size: 50px;
    font-weight: 600;
    line-height: 72px;
  }

  .teacher-entry-1-right-img {
    width: 180px;
    height: 200px;
    border-radius: 16px;
    background: url(<path-to-image>) lightgray 50% / cover no-repeat;
  }

  /* ==================================================== */
  /* teacher-entry-2 */
  /* ==================================================== */

  .teacher-entry-2-header {
    font-size: 24px;
    line-height: 32px; /* 133.333% */
    letter-spacing: 0.96px;
  }

  .teacher-entry-2-item {
    gap: 40px;
  }

  .teacher-entry-2-item-title {
    font-weight: 600;
  }

  .teacher-entry-2-item-text {
    font-size: 14px;
    line-height: 30px; /* 214.286% */
    letter-spacing: 1.12px;
  }
}

/* ========================================================================== */
/* @media：SP */
/* ========================================================================== */

@media (max-width: 767px) {
  .teacher-entry {
    padding: 0px 24px;
  }

  /* ==================================================== */
  /* teacher-entry-1 */
  /* ==================================================== */

  .teacher-entry-1 {
    margin-top: 66px;
    margin-bottom: 24px;
  }

  .teacher-entry-1-box {
    padding: 24px 0;
    flex-direction: column-reverse;
    justify-content: center;
    gap: 24px;
  }

  .teacher-entry-1-left-position-text {
    font-size: 12px;
    line-height: 20px; /* 166.667% */
    letter-spacing: 0.96px;
  }

  .teacher-entry-1-left-name-text {
    font-size: 32px;
    line-height: 40px; /* 125% */
    letter-spacing: 2.56px;
  }

  .teacher-entry-1-left-en-text {
    left: 0px;
    top: initial;
    bottom: 72px;
    font-size: 44px;
    font-weight: 600;
    line-height: 104px; /* 236.364% */
  }

  .teacher-entry-1-right-img {
    width: 180px;
    height: 200px;
    border-radius: 16px;
    background: url(<path-to-image>) lightgray 50% / cover no-repeat;
  }

  /* ==================================================== */
  /* teacher-entry-2 */
  /* ==================================================== */

  .teacher-entry-2-header {
    line-height: 40px; /* 166.667% */
  }

  .teacher-entry-2-item {
    gap: 8px;
    flex-direction: column;
    align-items: flex-start;
  }

  .teacher-entry-2-item-title {
    line-height: 30px; /* 187.5% */
  }

  .teacher-entry-2-item-text {
    line-height: 24px; /* 171.429% */
  }
}
